/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.apc.web.beans.admin;

import com.arrebol.apc.controller.admin.AjustarInventariosController;
import com.arrebol.apc.model.catalog.MovimientosInventario;
import com.arrebol.apc.web.beans.GenericBean;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 *
 * @author Oscar
 */
@Named("ajustarInventariosBean")
@ViewScoped
public class AjustarInventariosBean extends GenericBean implements Serializable {

   final Logger logger = LogManager.getLogger(AjustarInventariosBean.class);

   private AjustarInventariosController ajustarInventariosController;
   private List<MovimientosInventario> listMovimientos;
   private MovimientosInventario selectedMovimientos;

   @PostConstruct
   public void init() {
      try {
         setAjustarInventariosController(new AjustarInventariosController());
         listMovimientos = getAjustarInventariosController().fillMovimientosInventario();
      } catch (Exception e) {
         logger.error("init(): " + e);
      }
   }

   public AjustarInventariosController getAjustarInventariosController() {
      return ajustarInventariosController;
   }

   public void setAjustarInventariosController(AjustarInventariosController ajustarInventariosController) {
      this.ajustarInventariosController = ajustarInventariosController;
   }

   public List<MovimientosInventario> getListMovimientos() {
      return listMovimientos;
   }

   public void setListMovimientos(List<MovimientosInventario> listMovimientos) {
      this.listMovimientos = listMovimientos;
   }

   public MovimientosInventario getSelectedMovimientos() {
      return selectedMovimientos;
   }

   public void setSelectedMovimientos(MovimientosInventario selectedMovimientos) {
      this.selectedMovimientos = selectedMovimientos;
   }

}
